Loading...
Searching...
No Matches
etl::chrono::month_day Class Reference

## Public Member Functions

| month_day ()=default
| Default constructor.
ETL_CONSTEXPR14 | month_day (const etl::chrono::month &m_, const etl::chrono::day &d_) ETL_NOEXCEPT
| Construct from month and day.
ETL_NODISCARD ETL_CONSTEXPR14 etl::chrono::month | month () const ETL_NOEXCEPT
| Returns the month.
ETL_NODISCARD ETL_CONSTEXPR14 etl::chrono::day | day () const ETL_NOEXCEPT
| Returns the day.
ETL_NODISCARD ETL_CONSTEXPR14 bool | ok () const ETL_NOEXCEPT
| Returns true if the month/day is valid.
ETL_NODISCARD ETL_CONSTEXPR14 int | compare (const month_day &other) const ETL_NOEXCEPT

## Member Function Documentation

## compare()

ETL_NODISCARD ETL_CONSTEXPR14 int etl::chrono::month_day::compare | ( | const month_day & | other | ) | const

inline

Compare month_day with another. if month < other.month, returns -1 else if month > other.month, returns 1 else if day < other.day, returns -1 else if day > other.day, returns 1 else returns 0

The documentation for this class was generated from the following file:

- include/etl/private/chrono/month_day.h